export interface CommandOption {
    short?: string;
    description?: string;
    value?: 'required' | 'optional';
    default?: any;
    defaultDescription?: string;
    choices?: string[];
    variadic?: boolean;
}
export interface CommandDescription {
    target: Function;
    signature: string;
    description?: string;
    options?: Record<string, CommandOption | string>;
}
export declare class CommandRegistry {
    static readonly defaultInstance: CommandRegistry;
    private commands;
    addCommand(command: CommandDescription): void;
    getCommands(): CommandDescription[];
}
declare const _default: CommandRegistry;
export default _default;
