import { CommandRegistry } from './CommandRegistry';
interface ContainerInterface {
    get<T = any>(identifier: Function): T;
}
declare type OnStartCallback = (signature?: string) => void;
declare type OnExitCallback = (exitCode: number, error?: unknown) => void;
export declare class CommandRunner {
    readonly registry: CommandRegistry;
    static readonly defaultInstance: CommandRunner;
    readonly program: import("commander").Command;
    private container;
    private appBanner;
    private banner;
    private onStartCallback;
    private onExitCallback;
    constructor(registry?: CommandRegistry);
    run(argv?: string[]): Promise<void>;
    useContainer(container: ContainerInterface): void;
    setAppBanner(appName: string, version?: string): void;
    setBanner(banner: string): void;
    onStart(callback: OnStartCallback): void;
    onExit(callback: OnExitCallback): void;
    private prepareCommand;
    private exec;
    private getBanner;
    private writeError;
}
declare const _default: CommandRunner;
export default _default;
